<?php

App::uses('AppComponent', 'Controller/Component');

class SlideshowsComponent extends AppComponent {

	public function getSlideshow($id, $params = []) {
		$Slideshow = EvClassRegistry::init('EvSlideshow.Slideshow');

		// If the id is passed in as an int then search by id otherwise search by system_name
		if (is_int($id)) {
			$params['conditions']['Slideshow.id'] = $id;
		} else {
			$params['conditions']['Slideshow.system_name'] = $id;
		}

		$params = Hash::merge(
			[
				'conditions' => [
					'Slideshow.is_active' => true
				],
				'contain' => [
					'Slide' => [
						'conditions' => [
							'Slide.is_active' => true
						],
						'order' => [
							'Slide.sequence ASC, Slide.name ASC'
						],
						'Image'
					]
				],
			],
			$params
		);

		$result = $Slideshow->find('first', $params);

		return $result;
	}
}
